#
# spec file for package zrythm based on that for loopidity
#
# Copyright (c) 2012-2107 bill-auger bill-auger@programmer.net
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:          zrythm
Version:       0.8.982
Release:       %mkrel 2
Summary:       A highly automated, intuitive, Digital Audio Workstation (DAW)
Group:         Sound/Editors and Converters
License:       GPLv3
URL:           https://www.zrythm.org
Source0:       https://www.zrythm.org/releases/%{name}-%{version}.tar.xz
BuildRequires: gcc-c++
BuildRequires: gcc
BuildRequires: git
BuildRequires: gettext
BuildRequires: help2man
BuildRequires: python3
BuildRequires: sed
BuildRequires: texi2html
BuildRequires: xdg-utils
BuildRequires: ffmpeg-devel
BuildRequires: ladspa-devel
BuildRequires: pkgconfig(audec)
BuildRequires: pkgconfig(bash-completion)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gtksourceview-4)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(guile-3.0)
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(lilv-0)
BuildRequires: pkgconfig(lv2)
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(sdl2)
BuildRequires: pkgconfig(yaml-0.1)
BuildRequires: pkgconfig(libcyaml)
BuildRequires: pkgconfig(samplerate)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(fftw3)
BuildRequires: pkgconfig(portaudio-2.0)
BuildRequires: pkgconfig(reproc)
BuildRequires: pkgconfig(rtaudio)
BuildRequires: pkgconfig(rtmidi)
BuildRequires: pkgconfig(rubberband)
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(libxdot)
BuildRequires: pkgconfig(libzstd)
BuildRequires: pkgconfig(lsp-dsp-lib)
BuildRequires: python3dist(sphinx)
BuildRequires: meson
Requires:      ladspa
Requires:      lilv
Requires:      lv2
Requires:      fftw
Requires:      jackit

%description
Zrythm is a native GNU/Linux application built with
the GTK+3 toolkit and using the JACK Connection Kit for audio I/O.
Zrythm can automate plugin parameters using built in LFOs and envelopes
and is designed to be intuitive to use.


%prep
%autosetup

%build
%meson -Dsdl=enabled \
       -Drtmidi=enabled \
       -Drtaudio=enabled \
       -Dportaudio=disabled
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README.md CONTRIBUTING.md CHANGELOG.md
%{_sysconfdir}/bash_completion.d/%{name}
%{_bindir}/%{name}
%{_bindir}/%{name}_launch
%{_datadir}/applications/%{name}.desktop
%{_datadir}/fonts/%{name}
%{_datadir}/glib-2.0/schemas/*.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}/
%{_datadir}/mime/packages/org.%{name}.Zrythm-mime.xml
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Dec 20 2020 daviddavid <daviddavid> 0.8.982-2.mga8
+ Revision: 1661601
- enable rtaudio and rtmidi support

* Sun Dec 20 2020 daviddavid <daviddavid> 0.8.982-1.mga8
+ Revision: 1661572
- new version: 0.8.982
+ umeabot <umeabot>
- Rebuild for new Qt5

* Thu Feb 20 2020 umeabot <umeabot> 0.6.003-4.mga8
+ Revision: 1545597
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 daviddavid <daviddavid> 0.6.003-3.mga8
+ Revision: 1484895
- enable Qt5 and ffmpeg support

* Wed Jan 29 2020 daviddavid <daviddavid> 0.6.003-2.mga8
+ Revision: 1484884
- fix dependency jack -> jackit
- use our meson build macros
- switch all BRs to pkgconfig()

* Sat Aug 17 2019 shlomif <shlomif> 0.6.003-1.mga8
+ Revision: 1429637
- based on suse


* Tue Aug 13 2019 Alexandros Theodotou
- v0.6.003
